<div class="addContainer">
    <div class="modalHeader">
        <div class="editRowModal">
            <div class="modalHeader clearfix">
                <!-- <img [src]='clients.img' alt="avatar"> -->
                <div class="modal-about">
                    <i class="material-icons search-icon">search</i>
                </div>
            </div>
        </div>
        <button mat-icon-button (click)="dialogRef.close()" aria-label="Close dialog">
            <mat-icon>close</mat-icon>
        </button>
    </div>
    <div mat-dialog-content>
        <form class="register-form m-4" [formGroup]="myForm" (ngSubmit)="onSubmit()">
            <div class="row">
                <div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mb-2" *ngFor="let control of jsonFormData; let i = index">
                    <mat-form-field class="example-full-width" appearance="outline">
                        <mat-select [multiple]="true" [formControlName]="control.filterType+'_'+i"
                            placeholder={{control.filterLabel}} >
                            <div class="container">
                                <div class="search-box">
                                    <input placeholder="Search" #searchTxt class="search-input"
                                        placeholder="Search.." (change)="onChange($event)">

                                    <button class="search-button">
                                        <i class="material-icons close-icon">close</i>
                                    </button>
                                </div>
                            </div>
                            <!-- <mat-option #allSelected (click)="toggleAllSelection(control)" >All</mat-option> -->
                            <mat-option *ngFor="let item of control.filterItems | search : searchTxt.value" [value]="item.id">
                                {{item.detail}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
                    <div class="example-button-row" align="end">
                        <button mat-raised-button color="primary" [type]="submit">Search</button>
                        <button mat-raised-button color="warn" (click)="onNoClick()" tabindex="-1">Cancel</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>